function [arg,rarg,carg]=getargth(eta)
%GETARGTH	Gets the auxiliary argument for a state-space model
%		structure
%
%	ARG = getargth(TH)
%	
%	TH: The model structure in the THETA-format (See help theta)
%	ARG: The auxiliary argument

%	L. Ljung 10-2-90
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.2 $  $Date: 1995/01/24 00:50:09 $


if ~isthss(eta),error('This is not a state-space based model!'),end
nd=eta(1,5);rarg=eta(1,6);carg=eta(1,7);
arg=eta(4+nd:3+nd+rarg,1:carg);
